unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Grids;

type
  TForm1 = class(TForm)
    StringGrid1: TStringGrid;
    procedure FormCreate(Sender: TObject);
    procedure StringGrid1DrawCell(Sender: TObject; ACol, ARow: Integer;
      Rect: TRect; State: TGridDrawState);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
const fej = 'ABCDEFGHIJ';
var i: integer;
begin
 with StringGrid1 do
   for i :=  1 to 10 do begin
     Cells[i, 0] := fej[i];
     Cells[0, i] := IntToStr(i);
   end;
end;

procedure TForm1.StringGrid1DrawCell(Sender: TObject; ACol, ARow: Integer;
  Rect: TRect; State: TGridDrawState);
var S: TStringGrid;
begin
 S := Sender as TStringGrid;
 with S.Canvas do
 begin
   Font := S.Font;
   If (ACol < S.FixedCols) or (ARow < S.FixedRows) Then
   begin
       Pen.Color := S.FixedColor;
       Brush.Color := S.FixedColor;
   end
   else begin
       Pen.Color := S.Color;
       Brush.Color := S.Color;
   end;
   Rectangle(Rect);
   TextOut ((Rect.Left+Rect.Right-Canvas.TextWidth(S.Cells[ACol,ARow])) div 2,
           (Rect.Top+Rect.Bottom-Canvas.TextHeight(S.Cells[ACol,ARow])) div 2,
            S.Cells[ACol,ARow]);
  end;
end;
end.
